From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-p2p/gtk-gnutella/
Date: Sat, 10 Oct 2015 05:39:14 +0000 (UTC) [thread overview]
Message-ID: <1444455523.d8bf6d4ccadc938299566911ae9010f9bfa3c0b6.graaff@gentoo> (raw)
commit: d8bf6d4ccadc938299566911ae9010f9bfa3c0b6
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 9 07:13:06 2015 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 05:38:43 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8bf6d4c
net-p2p/gtk-gnutella: add 1.1.5
Package-Manager: portage-2.2.20.1
net-p2p/gtk-gnutella/Manifest | 1 +
net-p2p/gtk-gnutella/gtk-gnutella-1.1.5.ebuild | 86 ++++++++++++++++++++++++++
2 files changed, 87 insertions(+)
diff --git a/net-p2p/gtk-gnutella/Manifest b/net-p2p/gtk-gnutella/Manifest
index 610d26d..85b9e2b 100644
--- a/net-p2p/gtk-gnutella/Manifest
+++ b/net-p2p/gtk-gnutella/Manifest
@@ -1,2 +1,3 @@
DIST gtk-gnutella-1.1.3.tar.bz2 19504243 SHA256 2659ddb846f60d13789674e926a71bbb4a8b9d3ca98c6b034a95eaa073531405 SHA512 df143b6e89b0a4c6e8ddbba24ddcab3603f04e7df1fab7d389241a112c6cd3297e4837dfc0d225289997b99867a5466a5b8697c68ef2bdc5817261fbc103d505 WHIRLPOOL fe1a1375e75204bdf92c9690f1885211dc456c2cc466f4d7e47c865fc0e1c77ce07d27b58ff2e53c4c28214d055878c7d805f0b79043748e1448c6b8ac398c82
DIST gtk-gnutella-1.1.4.tar.bz2 19546318 SHA256 6ae259ff9d5f20a2d10dba66ed6cbe5b56552307a6e8bc36df053b70aff4c956 SHA512 e09fde0e1f8a701e099f91768e032d022f6e9d41cdb4cc7833f1e7ba0e2795bc102c6b835960eb69e577ffc1426c42f6e1682ebadb8c5a643a796f88ff204ac6 WHIRLPOOL a9e63865896444c2ba22e9cf4302f5da5f6bdcec257cc87c618c3c3514cbf924e0eb6df7909b21ad5798650a577adf38cb37806810fd3f6a7f67be5f7a7cc8f1
+DIST gtk-gnutella-1.1.5.tar.bz2 19552392 SHA256 c332043a885ba302841a261c118264d903627fd21b062c99538db7dc7dada8a5 SHA512 eb94ef5cbc447ebf75d16eb24f0a4d88197a9b79f842fe73f963af3ba5985cc4ce99605d29e33123754d9a509218b71acc684df27a075c3947278211c1b204e5 WHIRLPOOL c5bc302dd7bd92eac2298c52b557723b473a930a7e1b40cddc74424bef7acf0a9b90f27ba503dc40038c925047dfcf6f80ca8de2f0e20a6429d70267de3ada49
diff --git a/net-p2p/gtk-gnutella/gtk-gnutella-1.1.5.ebuild b/net-p2p/gtk-gnutella/gtk-gnutella-1.1.5.ebuild
new file mode 100644
index 0000000..154b509
--- /dev/null
+++ b/net-p2p/gtk-gnutella/gtk-gnutella-1.1.5.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+IUSE="nls dbus ssl +gtk"
+
+DESCRIPTION="A GTK+ Gnutella client"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+HOMEPAGE="http://gtk-gnutella.sourceforge.net/"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+
+RDEPEND="
+ dev-libs/glib:2
+ sys-libs/zlib
+ gtk? ( >=x11-libs/gtk+-2.2.1:2 )
+ dbus? ( >=sys-apps/dbus-0.35.2 )
+ ssl? ( >=net-libs/gnutls-2.2.5 )
+ nls? ( >=sys-devel/gettext-0.11.5 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ strip-linguas -i po
+
+ echo "# Gentoo-selected LINGUAS" > po/LINGUAS
+ for ling in ${LINGUAS}; do
+ echo $ling >> po/LINGUAS
+ done
+}
+
+src_configure() {
+ # There is no option to turn off optimization through the build.sh
+ # script.
+ sed -i -e "s/Configure -Oder/Configure -Oder -Doptimize=none/" build.sh || die
+
+ # The build script does not support the equivalent --enable
+ # options so we must construct the configuration by hand.
+
+ local myconf
+
+ if ! use nls; then
+ myconf="${myconf} --disable-nls"
+ fi
+
+ if ! use dbus; then
+ myconf="${myconf} --disable-dbus"
+ fi
+
+ if ! use ssl; then
+ myconf="${myconf} --disable-gnutls"
+ fi
+
+ if use gtk; then
+ myconf="${myconf} --gtk2"
+ else
+ myconf="${myconf} --topless"
+ fi
+
+ ./build.sh \
+ --configure-only \
+ --prefix="/usr" \
+ --cc=$(tc-getCC) \
+ ${myconf}
+}
+
+src_compile() {
+ # Build system is not parallel-safe, bug 500760
+ emake -j1
+}
+
+src_install() {
+ dodir /usr/bin
+ emake INSTALL_PREFIX="${D}" install || die "Install failed"
+ dodoc AUTHORS ChangeLog README TODO
+
+ # Touch the symbols file into the future to avoid warnings from
+ # gtk-gnutella later on, since we will most likely strip the binary.
+ touch --date="next minute" "${D}/usr/lib/gtk-gnutella/gtk-gnutella.nm" || die
+}
next reply other threads:[~2015-10-10 5:39 UTC|newest]
Thread overview: 80+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-10 5:39 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-10 9:01 [gentoo-commits] repo/gentoo:master commit in: net-p2p/gtk-gnutella/ Sam James
2024-03-06 10:54 Hans de Graaff
2024-03-06 10:54 Hans de Graaff
2024-03-06 10:54 Hans de Graaff
2024-01-13 20:46 Conrad Kostecki
2023-07-01 10:21 Arthur Zamarin
2023-07-01 10:20 Arthur Zamarin
2023-07-01 9:02 Arthur Zamarin
2023-07-01 9:02 Arthur Zamarin
2023-06-24 2:59 Sam James
2022-03-27 7:13 Hans de Graaff
2022-03-20 0:26 Sam James
2022-02-27 13:43 Jakov Smolić
2022-02-27 13:17 Jakov Smolić
2022-02-26 11:53 Arthur Zamarin
2022-02-26 9:16 Agostino Sarubbo
2022-02-26 4:32 Hans de Graaff
2021-07-16 9:51 Hans de Graaff
2021-07-15 9:07 Hans de Graaff
2021-07-15 7:42 Agostino Sarubbo
2021-07-15 7:40 Agostino Sarubbo
2021-07-15 7:39 Agostino Sarubbo
2021-07-15 7:38 Agostino Sarubbo
2021-07-13 6:13 Hans de Graaff
2021-06-30 10:15 Ulrich Müller
2021-04-12 1:09 Sam James
2021-02-01 19:17 Hans de Graaff
2021-02-01 8:25 Sam James
2021-01-31 18:48 Sam James
2021-01-25 0:42 Sam James
2021-01-24 13:35 Sam James
2021-01-23 19:45 Andreas K. Hüttel
2020-10-31 6:24 Hans de Graaff
2020-08-21 8:36 Hans de Graaff
2020-03-03 14:38 Agostino Sarubbo
2020-02-29 6:59 Hans de Graaff
2020-01-12 8:35 Hans de Graaff
2019-08-06 18:56 Hans de Graaff
2019-08-06 10:02 Agostino Sarubbo
2019-08-06 9:39 Agostino Sarubbo
2019-08-06 8:01 Agostino Sarubbo
2019-07-14 18:27 Hans de Graaff
2019-02-15 10:17 Hans de Graaff
2018-10-22 19:35 Hans de Graaff
2018-10-22 19:35 Hans de Graaff
2018-05-18 5:56 Hans de Graaff
2018-05-17 21:18 Sergei Trofimovich
2018-03-26 5:49 Hans de Graaff
2018-03-25 7:27 Hans de Graaff
2018-03-23 0:02 Sergei Trofimovich
2017-10-23 18:20 Hans de Graaff
2017-10-23 18:17 Hans de Graaff
2017-10-05 5:01 Hans de Graaff
2017-09-16 7:29 Hans de Graaff
2017-05-19 5:05 Hans de Graaff
2017-05-18 17:24 Michael Weber
2017-05-01 13:37 Agostino Sarubbo
2017-01-08 7:03 Hans de Graaff
2016-12-21 11:28 Tobias Klausmann
2016-11-12 7:46 Hans de Graaff
2016-11-12 7:46 Hans de Graaff
2016-09-03 7:13 Hans de Graaff
2016-03-16 17:03 Hans de Graaff
2016-03-14 22:12 Agostino Sarubbo
2016-03-06 15:02 Hans de Graaff
2015-12-27 9:41 Hans de Graaff
2015-12-26 10:36 Agostino Sarubbo
2015-12-25 16:20 Agostino Sarubbo
2015-12-25 15:13 Agostino Sarubbo
2015-12-19 8:27 Hans de Graaff
2015-12-14 6:58 Hans de Graaff
2015-12-14 6:58 Hans de Graaff
2015-11-12 9:40 Agostino Sarubbo
2015-11-08 14:03 Hans de Graaff
2015-11-08 8:34 Hans de Graaff
2015-09-25 6:25 Hans de Graaff
2015-09-22 8:57 Agostino Sarubbo
2015-09-19 13:30 Agostino Sarubbo
2015-09-13 8:29 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1444455523.d8bf6d4ccadc938299566911ae9010f9bfa3c0b6.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox